## i2p.susi.webmail.encoding
Class SevenBit

    java.lang.Object
      i2p.susi.webmail.encoding.SevenBit

All Implemented Interfaces:
  Encoding

    public class SevenBit

extends Object
implements Encoding

Author:
  susi

Constructor Summary
`SevenBit()`

Method Summary
`ReadBuffer` `decode(byte[] in)`
`ReadBuffer` `decode(byte[] in, int offset, int length)`
`ReadBuffer` `decode(ReadBuffer in)`
`ReadBuffer` `decode(String str)`
`String` `encode(byte[] in)`
`String` `encode(String str)`
`String` `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SevenBit

    public SevenBit()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `Encoding`

### encode

    public String encode(byte[] in)

  Specified by:
    `encode` in interface `Encoding`
  Returns:
    Encoded string.

### encode

    public String encode(String str)

  Specified by:
    `encode` in interface `Encoding`
  See Also:
    `Encoding.encode(byte[])`

### decode

    public ReadBuffer decode(byte[] in)
                      throws DecodingException

  Specified by:
    `decode` in interface `Encoding`
  Throws:
    `DecodingException`
  See Also:
    `Encoding.decode(byte[], int, int)`

### decode

    public ReadBuffer decode(byte[] in,
                             int offset,
                             int length)
                      throws DecodingException

  Specified by:
    `decode` in interface `Encoding`
  Returns:
    Output buffer containing decoded String.
  Throws:
    `DecodingException`

### decode

    public ReadBuffer decode(String str)
                      throws DecodingException

  Specified by:
    `decode` in interface `Encoding`
  Throws:
    `DecodingException`
  See Also:
    `Encoding.decode(byte[], int, int)`

### decode

    public ReadBuffer decode(ReadBuffer in)
                      throws DecodingException

  Specified by:
    `decode` in interface `Encoding`
  Throws:
    `DecodingException`
  See Also:
    `Encoding.decode(byte[], int, int)`